{
  "type": "minecraft:tree",
  "config": {
    "dirt_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:gravel"
      }
    },
    "foliage_provider": {
      "type": "minecraft:weighted_state_provider",
      "entries": [
        {
          "data": {
            "Name": "minecraft:red_mushroom_block"
          },
          "weight": 10
        },
        {
          "data": {
            "Name": "minecraft:shroomlight"
          },
          "weight": 1
        },
        {
          "data": {
            "Name": "minecraft:brown_mushroom_block"
          },
          "weight": 10
        }
      ]
    },
    "trunk_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:mushroom_stem"
      }
    },
    "force_dirt": true,
    "ignore_vines": true,
    "foliage_placer": {
      "type": "minecraft:dark_oak_foliage_placer",
      "radius": 0,
      "offset": 0
    },
    "trunk_placer": {
      "type": "minecraft:dark_oak_trunk_placer",
      "base_height": 20,
      "height_rand_a": 2,
      "height_rand_b": 0
    },
    "minimum_size": {
      "type": "minecraft:three_layers_feature_size",
      "limit": 1,
      "upper_limit": 1,
      "lower_size": 0,
      "middle_size": 1,
      "upper_size": 2
    },
    "decorators": []
  }
}